List Content Agent slots
curl --request GET \
--url https://server.promptwatch.com/api/v2/content-agent/slots \
--header 'X-API-Key: <api-key>'import requests
url = "https://server.promptwatch.com/api/v2/content-agent/slots"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://server.promptwatch.com/api/v2/content-agent/slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"slots": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PLANNED",
"generateBy": "2023-11-07T05:31:56Z",
"publishAt": "2023-11-07T05:31:56Z",
"priorityScore": 123,
"prioritizationReason": "<string>",
"scheduledAtReason": "<string>",
"documentConfiguration": {
"personaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contentType": "ARTICLE",
"contentLength": "SHORT",
"toneOfVoice": "PROFESSIONAL",
"enabledTools": [
"GOOGLE_SEARCH"
],
"contentLanguageCode": "<string>"
},
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documentTitle": "<string>",
"contentType": "ARTICLE",
"contentLength": "SHORT",
"toneOfVoice": "PROFESSIONAL",
"personaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"personaName": "<string>",
"title": "<string>",
"publishAttempts": 123,
"failureReason": "<string>",
"autoApproved": true,
"publishSource": "AUTOMATIC",
"publishedAt": "2023-11-07T05:31:56Z",
"publishedByName": "<string>",
"source": "<string>",
"recommendationTitle": "<string>",
"contentGapId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publishState": "LIVE",
"cmsProvider": "<string>",
"liveUrl": "<string>",
"viewUrl": "<string>",
"viewUrlKind": "live"
}
],
"page": 123,
"size": 123,
"total": 123,
"totalPages": 123
}{
"error": "Unauthorized",
"message": "Missing or invalid X-API-Key header."
}{
"code": "CONTENT_AUTOMATION_SLOT_NOT_FOUND",
"message": "Content piece not found"
}Content Agent
List Content Agent slots
Lists scheduled content pieces (the Content Agent schedule). Supports pagination with status filters, or a date window via fromDate/toDate (calendar mode, max 500 rows).
GET
/
content-agent
/
slots
List Content Agent slots
Authorizations
API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.
Query Parameters
Page number (1-based). Ignored when fromDate/toDate are set.
Required range:
x >= 1Page size (max 100). Ignored when fromDate/toDate are set.
Required range:
1 <= x <= 100Sort field for paginated list.
Available options:
publishAt, publishedAt, generateBy, priorityScore, createdAt Available options:
asc, desc Filter by slot status. SUPPRESSED is excluded by default.
Available options:
PLANNED, GENERATING, REVIEW, APPROVED, SCHEDULED, PUBLISHING, PUBLISHED, DEFERRED, SUPPRESSED, FAILED Inclusive lower bound on publishAt. When set with toDate, returns an unpaginated calendar window (max 500).
Inclusive upper bound on publishAt. Use with fromDate for a calendar window.
Response
Default Response